std::atomic< int > Struct Reference
Atomics

`#include <atomic>`

Inherits __atomic_base< int >.

## Public Types

typedef __atomic_base< int > | __base_type
typedef int | __integral_type

## Public Member Functions

constexpr | atomic (__integral_type __i) noexcept
| atomic (const atomic &)=delete
atomic & | operator= (const atomic &) volatile=delete
atomic & | operator= (const atomic &)=delete

## Detailed Description

Explicit specialization for int.

Definition at line 827 of file atomic.

## Member Typedef Documentation

## __base_type

typedef __atomic_base<int> std::atomic< int >::__base_type

Definition at line 830 of file atomic.

## __integral_type

typedef int std::atomic< int >::__integral_type

Definition at line 829 of file atomic.

## Constructor & Destructor Documentation

## atomic()

constexpr std::atomic< int >::atomic | ( | __integral_type | __i | ) |

inline constexpr noexcept

Definition at line 838 of file atomic.

The documentation for this struct was generated from the following file:

- atomic